package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.email.config.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 企业邮箱域名
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("enterprise_domain")
public class EnterpriseDomain extends BaseEntity {

    /**
     * 域名
     */
    private String domainName;

    /**
     * 类型：1国内 2国外
     */
    private Integer type;

    /**
     * 收件host
     */
    private String receiveHost;

    /**
     * 收件端口
     */
    private Integer receivePort;

    /**
     * 收件协议
     */
    private String receiveProtocol;

    /**
     * 发件host
     */
    private String sendHost;

    /**
     * 发件端口
     */
    private Integer sendPort;

    /**
     * 发件协议
     */
    private String sendProtocol;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 创建人id
     */
    private Long createUser;

    /**
     * 修改人id
     */
    private Long updateUser;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    private Integer delFlag;
}
