package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 企业邮件附件
 * </p>
 *
 * @author zlj
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("enterprise_message_attachment")
public class EnterpriseMessageAttachment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 邮件主表id
     */
    private Long messageId;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件url
     */
    private String url;
}
